Bug 462861 - Disable v4l in favour of v4l2
Disable v4l in favour of v4l2
Product: Fedora
Classification: Fedora
Component: ptlib (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-09-19 08:16 EDT by Angel Marin
Modified: 2008-09-29 08:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-09-29 08:37:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Angel Marin 2008-09-19 08:16:42 EDT
When running ekiga beta 2.9.90 if you have a camera compatible with both v4l and v4l2 it appears as two cameras. When coming back from a suspend, Ekiga will prompt to choose the 'new' camera (the one you didn't have selected before).

Ekiga devs take on this:

Comment 1 Daniel Veillard 2008-09-22 16:59:51 EDT
Hum, you should be using ptlib with the beta, not pwlib, can you confirm this ?

Comment 2 Angel Marin 2008-09-22 17:25:01 EDT
Yeah, I'm using ptlib, but there wasn't a ptlib product in bugzilla (or I didn't see it) so I filled it under pwlib. Sorry forgot to mention it.
Comment 3 Peter Robinson 2008-09-23 05:09:18 EDT
You can't run the new beta on pwlib, the reason its not in bugzilla is bizare and I'll follow that up.

I've noticed this now that I have a laptop with inbuilt webcam. The final release for ekiga is due out in the next day or so and I'll look to try and have it fixed for that.
Comment 4 Peter Robinson 2008-09-23 09:32:21 EDT
OK. ekiga 3 and associated opal/ptlib is built and is awaiting rawhide to open back up post F10 beta. In the mean time you can test them from koji here:

ptlib: http://koji.fedoraproject.org/koji/taskinfo?taskID=838574
opal: http://koji.fedoraproject.org/koji/taskinfo?taskID=838602
ekiga: http://koji.fedoraproject.org/koji/taskinfo?taskID=838758

On my testing machine the problem looks to be fixed. Can you please verify?
Comment 5 Angel Marin 2008-09-23 11:18:37 EDT
(In reply to comment #4)
> On my testing machine the problem looks to be fixed. Can you please verify?

yeah, ekiga no longer asks to change camera when coming back from suspension and there's only one camera detected on the config dialogs as expected.
Comment 6 Peter Robinson 2008-09-29 08:37:01 EDT
The ekiga 3 build has been pushed to rawhide now that its reopened after the F10 beta

Note You need to log in before you can comment on or make changes to this bug.